package org.jeecg.modules.weituochaxun.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecg.modules.weituo.service.IItdmWeituoInfoService;
import org.jeecg.modules.weituochaxun.service.IItdmWeituochaxunService;
import org.jeecg.modules.weituochaxun.vo.ItdmWeituoAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 委托信息
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Api(tags="委托查询")
@RestController
@RequestMapping("/weituo/ItdmWeituochaxun")
@Slf4j
public class ItdmWeituochaxunController {
	@Autowired
	private IItdmWeituochaxunService iItdmWeituochaxunService;


	// 三表关联查询
	@ApiOperation(value="委托查询-三表关联查询", notes="委托查询-三表关联查询")
	@GetMapping("/list")
	public Result<IPage<ItdmWeituoAllVO>> get(
			ItdmWeituoAllVO itdmWeituoAllVO,
			@RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
			@RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
			HttpServletRequest req
	){
		//QueryWrapper<ItdmWeituoAllVO> queryWrapper = QueryGenerator.initQueryWrapper(itdmWeituoAllVO, req.getParameterMap());
		Page<ItdmWeituoAllVO> page = new Page<ItdmWeituoAllVO>(pageNo, pageSize);
		List<ItdmWeituoAllVO> itdmWeituoAllVOS =  iItdmWeituochaxunService.getAll(page,itdmWeituoAllVO);
		/*List<ItdmWeituoAllVO> resultList = new ArrayList<>();
		itdmWeituoAllVOS.stream().forEach(e->{
			if(itdmWeituoAllVO.getWeituoClient() != null){
				if(e.getWeituoClient().equals(itdmWeituoAllVO.getWeituoClient())){
					if(itdmWeituoAllVO.getWeituoId() != null){
						if(e.getWeituoId().equals(itdmWeituoAllVO.getWeituoId())){
							resultList.add(e);
						}
					}else{
						resultList.add(e);
					}
				}
			}else{
				if(itdmWeituoAllVO.getWeituoId() != null){
					if(e.getWeituoId().equals(itdmWeituoAllVO.getWeituoId())){
						resultList.add(e);
					}
				}else{
					resultList.add(e);
				}
			}

		});*/
		page.setRecords(itdmWeituoAllVOS);
		return Result.OK(page);
	}

}
